Bug 1481384 - subscription-manager plugin updates redhat.repo with incorrect releasever on RateLimitExceededException
Summary: subscription-manager plugin updates redhat.repo with incorrect releasever on ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jiri Hnidek
QA Contact: John Sefler
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On:
Blocks: 1486549
TreeView+ depends on / blocked
 
Reported: 2017-08-14 19:42 UTC by Craig Donnelly
Modified: 2019-05-13 17:48 UTC (History)
5 users (show)

(edit)
Cause: subscription-manager was incorrectly handling rate limit exceeded responses

Consequence: If the user hit a rate limit while trying to set the release, the releasever was unset (falling back to defaults).

Fix: subscription-manager now handles the rate limit exceeded by aborting with an appropriate error message.

Result: If a rate limit is hit, the releasever will be unmodified.
Clone Of:
: 1486549 (view as bug list)
(edit)
Last Closed: 2018-04-10 09:51:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0681 None None None 2018-04-10 09:51 UTC
Github candlepin subscription-manager pull 1685 None None None 2017-08-23 12:50 UTC
Github candlepin subscription-manager pull 1694 None None None 2017-08-31 21:32 UTC

Description Craig Donnelly 2017-08-14 19:42:48 UTC
Description of problem:
Currently, there are limits on the amount of calls a consumer can make to our hosted environment within a certain time period.

If we meet this limit with GET /subscription/consumers/<consumer>/release, we end up breaking our set releasever on the local system.

In this example, the system has been set to releasever of 7.3 via `subscription-manager release --set 7.3`: Release: 7.3

Once we hit the rate limit, we can only tell by traceback output inside /var/log/rhsm/rhsm.log:
<SNIP>
2017-08-14 15:20:16,223 [DEBUG] yum:29079 @connection.py:523 - Making request: GET https://subscription.rhn.redhat.com:443/subscription/consumers/<consumer>/release
2017-08-14 15:20:16,727 [DEBUG] yum:29079 @connection.py:555 - Response: status=429
2017-08-14 15:20:16,727 [ERROR] yum:29079 @cache.py:193 -
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/cache.py", line 181, in load_status
    self._sync_with_server(uep, uuid)
  File "/usr/share/rhsm/subscription_manager/cache.py", line 331, in _sync_with_server
    self.server_status = get_release(consumer_uuid)
  File "/usr/share/rhsm/subscription_manager/cache.py", line 328, in get_release
    return uep.getRelease(consumer_uuid)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 1208, in getRelease
    results = self.conn.request_get(method)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 644, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 564, in _request
    self.validateResponse(result, request_type, handler)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 627, in validateResponse
    raise RateLimitExceededException(response['status'])
RateLimitExceededException
2017-08-14 15:20:17,081 [DEBUG] yum:29079 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
2017-08-14 15:20:17,083 [INFO] yum:29079 @repolib.py:296 - repos updated: Repo updates

Total repo updates: 135
</SNIP>

yum will continue to attempt to do installs normally, but requests that have been queued up will fail as the packages return 404 (normally) as suddenly we are not checking /7.3/, but are back to requesting packages from /7Server/.

Seems that the plugin will update redhat.repo to reflect the $releasever variable again, rather than a static releasever after it cannot actually reach /release.

Version-Release number of selected component (if applicable):
This test started as a 7.2 system, with subscription-manager-1.15.9-15.el7.x86_64 - I would be glad to re-test using any version.

How reproducible:
100%

Steps to Reproduce:
1. Register to subscription.rhsm
2. Set releasever to something other than latest
3. Perform a lot of consecutive yum install/update actions
4. Noticed that updates start failing with 404/otherwise
5. Check /var/log/rhsm/rhsm.log to confirm RateLimitExceededException
6. Verify contents of redhat.repo no longer have proper releasever as setting on system.

Actual results:
releasever gets "unset" in redhat.repo and packages are not retrievable.

Expected results:
releasever should be cached locally and not broken due to being unable to reach external resource.

Additional info:
This should be a rare issue, but is being seen by customers that use inefficient installation/update methods.

Comment 8 Jiri Hnidek 2017-08-31 20:23:24 UTC
I'm sorry. I didn't realize that RateLimitExceededException exception can be also raised without any error message. I'm just modifing __str__() method of corresponding class to return more informative message in all possible cases.

Comment 10 Shwetha Kallesh 2017-11-13 07:30:54 UTC
Reproducer:

[root@bkr-hv03-guest37 ~]# subscription-manager  version
server type: Red Hat Subscription Management
subscription management server: 2.0.43-1
subscription management rules: 5.26
subscription-manager: 1.19.21-1.el7
python-rhsm: 1.19.9-1.el7

[root@bkr-hv03-guest37 ~]# subscription-manager register --serverurl=https://subscription.rhsm.stage.redhat.com:443/subscription
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
Username: qa@redhat.com
Password: 
The system has been registered with ID: fb9add74-7d0b-414f-8127-cd5b7398d520 
[root@bkr-hv03-guest37 ~]# subscription-manager list --avail --matches=SER0412 --pool-only
8a85f9843affb61f013b1fae79e26a75
[root@bkr-hv03-guest37 ~]# subscription-manager attach --pool=8a85f9843affb61f013b1fae79e26a75
Successfully attached a subscription for: CloudForms Employee Subscription
[root@bkr-hv03-guest37 ~]# grep '$releasever' /etc/yum.repos.d/redhat.repo | wc -l
47
[root@bkr-hv03-guest37 ~]# subscription-manager release --list
+-------------------------------------------+
          Available Releases
+-------------------------------------------+
7.0
7.1
7.2
7.3
7.4
7Server
[root@bkr-hv03-guest37 ~]# subscription-manager release --set=7.3
Release set to: 7.3
[root@bkr-hv03-guest37 ~]# grep '$releasever' /etc/yum.repos.d/redhat.repo | wc -l
0
[root@bkr-hv03-guest37 ~]# for i in {1..65}; do yum repolist --quiet; done;
repo id                                                                      repo name                                                                            status
 5,005
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
repo id                                                                      repo name                                                                            status
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
repo id                                                                      repo name                                                                            status
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619

rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
repo id                                                                      repo name                                                                            rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red RedHat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red RedHat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
repo id                                                                      repo name                                                                            
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/x86_64                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/7Server/x86_64                                            Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/7Server/x86_64                                            Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/7Server/x86_64                                            Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/7Server/x86_64                                            Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/7Server/x86_64                                            Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
rhel-7-server-rpms/7Server/x86_64                                            Red Hat Enterprise Linux 7 Server (RPMs)                                             14,619
[root@bkr-hv03-guest37 ~]# subscription-manager release
Release: 7.3
[root@bkr-hv03-guest37 ~]# grep '$releasever' /etc/yum.repos.d/redhat.repo | wc -l
[root@bkr-hv03-guest37 ~]# tail -f /var/log/rhsm/rhsm.log  | grep RateLimitExceededException
    raise RateLimitExceededException(response['status'])
RateLimitExceededException
    raise RateLimitExceededException(response['status'])
RateLimitExceededException
    raise RateLimitExceededException(response['status'])
RateLimitExceededException
    raise RateLimitExceededException(response['status'])
RateLimitExceededException
    raise RateLimitExceededException(response['status'])
RateLimitExceededException
    raise RateLimitExceededException(response['status'])
RateLimitExceededException

Comment 11 Shwetha Kallesh 2017-11-13 07:31:18 UTC
Verification:

[root@dhcp35-121 product]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.0.43-1
subscription management rules: 5.26
subscription-manager: 1.20.5-1.el7


[root@dhcp35-121 product]# subscription-manager register --serverurl=https://subscription.rhsm.stage.redhat.com:443/subscription --force
Unregistering from: subscription.rhsm.stage.redhat.com:443/subscription
The system with UUID ab96896c-baa0-4091-98ef-d0829b055890 has been unregistered
All local data removed
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
Username: qa@redhat.com
Password: 
The system has been registered with ID: 1fcfe51e-10a0-434f-8d0e-cf3fc4979870
The registered system name is: dhcp35-121.lab.eng.blr.redhat.com
[root@dhcp35-121 product]# subscription-manager list --avail --matches=SER0412 --pool-only
8a85f9843affb61f013b1fae79e26a75
[root@dhcp35-121 product]# subscription-manager attach --pool=8a85f9843affb61f013b1fae79e26a75
Successfully attached a subscription for: CloudForms Employee Subscription
[root@dhcp35-121 product]# grep '$releasever' /etc/yum.repos.d/redhat.repo | wc -l
47
[root@dhcp35-121 product]# subscription-manager release --list
+-------------------------------------------+
          Available Releases
+-------------------------------------------+
7.0
7.1
7.2
7.3
7.4
7Server
[root@dhcp35-121 product]# subscription-manager release --set=7.3
Release set to: 7.3
[root@dhcp35-121 product]# grep '$releasever' /etc/yum.repos.d/redhat.repo | wc -l
0
[root@dhcp35-121 product]#  for i in {1..65}; do yum repolist --quiet; done;

repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
repo id                                                                  repo name                                                                                status
rhel-7-server-rpms/x86_64                                                Red Hat Enterprise Linux 7 Server (RPMs)                                                 14,619
[root@dhcp35-121 product]# 
[root@dhcp35-121 product]#  subscription-manager release
Release: 7.3
[root@dhcp35-121 product]# grep '$releasever' /etc/yum.repos.d/redhat.repo | wc -l
0
Verified: ^^ZERO OCCURRENCES OF '$releasever' IN redhat.repo SINCE THE release SETTING IS STILL PINNED TO "7.3"

Verified: No RateLimitExceededException in the log  
[root@dhcp35-121 ~]# tail -f /var/log/rhsm/rhsm.log | grep "RateLimitExceededException"

Comment 14 errata-xmlrpc 2018-04-10 09:51:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0681


Note You need to log in before you can comment on or make changes to this bug.